無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄) [論壇 - 新手村]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
會員一級
註冊日期:
3/6 22:04:45
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 0
MP : 0 / 0
EXP: 2
離線
用 apt-get remove software-center 後重裝也沒辦法
應該也升級到最新版本

同樣的問題還有
終端機
無法執行副進程“gnome-terminal”(沒有此一檔案或目錄)

軟體更新
無法執行副進程“/usr/bin/update-manager”(沒有此一檔案或目錄)

3/6 22:34:49
應用擴展 工具箱
回覆: 無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
管理員
註冊日期:
2011/3/11 6:32
所屬群組:
討論區管理群
等級: 44
HP : 216 / 1084
MP : 1088 / 19938
EXP: 38
離線
`````
$ dpkg-query --search $(which software-properties-gtk)
software-properties-gtk: /usr/bin/software-properties-gtk
`````
software-properties-gtk 命令由 software-properties-gtk 軟體包提供
其他的依此類推

3/6 23:12:58
本篇發表文章以「創用CC BY 3.0 或更新之台灣地區版本」授權條款釋出,如何使用敬請參考
 Creative Commons — 姓名標示 3.0 台灣 — CC BY 3.0 TW
 http://creativecommons.org/licenses/by/3.0/tw/

「你不懂的東西就不要亂講,被懂得人看破手腳就算了,騙不懂的人誤導別人,還要別人把你當成大師,這就真的是說不過去了。」
 by Allen Own
 出處 http://www.plurk.com/p/i4uogm

自由知識創作平台介紹
 https://docs.google.com/document/d/1MGG6lW_0qCgH4U785R-IwSc_INdoBGej1l-JxiA4gPE
如何建立新的自由知識創作平台文件
 https://docs.google.com/document/d/11NdzOW2lGYksfyQIcPMPye5tlmj1J0QTkgPTmQvIvKA
應用擴展 工具箱
回覆: 無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
會員一級
註冊日期:
3/6 22:04:45
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 0
MP : 0 / 0
EXP: 2
離線
請問是重新安裝這個軟體包嗎
我安裝後出現了這樣的錯誤碼
所以是跟我的python有衝突嗎

software-properties-gtk 已經是最新版本了。
升級 0 個,新安裝 0 個,移除 0 個,有 1 個未被升級。
6 個沒有完整得安裝或移除。
需要下載 0 B/309 kB 的套件檔。
此操作完成之後,會多佔用 0 B 的磁碟空間。
Do you want to continue? [Y/n] y
設定 python3-colorama (0.3.3-1) ...
/var/lib/dpkg/info/python3-colorama.postinst: 6: /var/lib/dpkg/info/python3-colorama.postinst: py3compile: not found
dpkg: error processing package python3-colorama (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
設定 python3-distlib (0.2.1-1) ...
/var/lib/dpkg/info/python3-distlib.postinst: 6: /var/lib/dpkg/info/python3-distlib.postinst: py3compile: not found
dpkg: error processing package python3-distlib (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: error processing package python3-pil:amd64 (--configure):
package is in a very bad inconsistent state; you should
reinstall it before attempting configuration
設定 python3-setuptools (18.4-1) ...
/var/lib/dpkg/info/python3-setuptools.postinst: 6: /var/lib/dpkg/info/python3-setuptools.postinst: py3compile: not found
dpkg: error processing package python3-setuptools (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
No apport report written because MaxReports is reached already
dpkg: 因相依問題,無法設定 python3-pip:
python3-pip 相依於 python3-colorama﹔然而:
python3-colorama 套件尚未設定。
python3-pip 相依於 python3-distlib﹔然而:
python3-distlib 套件尚未設定。
python3-pip 相依於 python3-setuptools﹔然而:
python3-setuptools 套件尚未設定。

dpkg: error processing package python3-pip (--configure):
相依問題 - 保留未設定
No apport report written because MaxReports is reached already
設定 python3-wheel (0.26.0-1) ...
/var/lib/dpkg/info/python3-wheel.postinst: 6: /var/lib/dpkg/info/python3-wheel.postinst: py3compile: not found
dpkg: error processing package python3-wheel (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
No apport report written because MaxReports is reached already
處理時發生錯誤:
python3-colorama
python3-distlib
python3-pil:amd64
python3-setuptools
python3-pip
python3-wheel
E: Sub-process /usr/bin/dpkg returned an error code (1)

3/7 17:38:01
應用擴展 工具箱
回覆: 無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 31
HP : 152 / 762
MP : 443 / 11516
EXP: 48
離線
lijing 寫到:
請問是重新安裝這個軟體包嗎
我安裝後出現了這樣的錯誤碼
所以是跟我的python有衝突嗎

software-properties-gtk 已經是最新版本了。
升級 0 個,新安裝 0 個,移除 0 個,有 1 個未被升級。
6 個沒有完整得安裝或移除。
需要下載 0 B/309 kB 的套件檔。
此操作完成之後,會多佔用 0 B 的磁碟空間。
Do you want to continue? [Y/n] y
設定 python3-colorama (0.3.3-1) ...
/var/lib/dpkg/info/python3-colorama.postinst: 6: /var/lib/dpkg/info/python3-colorama.postinst: py3compile: not found
dpkg: error processing package python3-colorama (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
設定 python3-distlib (0.2.1-1) ...
/var/lib/dpkg/info/python3-distlib.postinst: 6: /var/lib/dpkg/info/python3-distlib.postinst: py3compile: not found
dpkg: error processing package python3-distlib (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: error processing package python3-pil:amd64 (--configure):
package is in a very bad inconsistent state; you should
reinstall it before attempting configuration
設定 python3-setuptools (18.4-1) ...
/var/lib/dpkg/info/python3-setuptools.postinst: 6: /var/lib/dpkg/info/python3-setuptools.postinst: py3compile: not found
dpkg: error processing package python3-setuptools (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
No apport report written because MaxReports is reached already
dpkg: 因相依問題,無法設定 python3-pip:
python3-pip 相依於 python3-colorama﹔然而:
python3-colorama 套件尚未設定。
python3-pip 相依於 python3-distlib﹔然而:
python3-distlib 套件尚未設定。
python3-pip 相依於 python3-setuptools﹔然而:
python3-setuptools 套件尚未設定。

dpkg: error processing package python3-pip (--configure):
相依問題 - 保留未設定
No apport report written because MaxReports is reached already
設定 python3-wheel (0.26.0-1) ...
/var/lib/dpkg/info/python3-wheel.postinst: 6: /var/lib/dpkg/info/python3-wheel.postinst: py3compile: not found
dpkg: error processing package python3-wheel (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
No apport report written because MaxReports is reached already
處理時發生錯誤:
python3-colorama
python3-distlib
python3-pil:amd64
python3-setuptools
python3-pip
python3-wheel
E: Sub-process /usr/bin/dpkg returned an error code (1)



根據您提供的訊息,大略猜測您是執行


$ sudo apt-get install software-properties-gtk



而從其中的一段訊息


/var/lib/dpkg/info/python3-colorama.postinst: 6: /var/lib/dpkg/info/python3-colorama.postinst: py3compile: not found
dpkg: error processing package python3-colorama



在「Debian based」安裝套件的時候,通常會執行「MaintainerScripts」。

您可以在「/var/lib/dpkg/info/」這個資料夾找到,

以上面的例子「python3-colorama」這個套件,就是「/var/lib/dpkg/info/python3-colorama.postinst」,

另外也可以透過下載deb檔解開。

關於「MaintainerScripts」,可以先參考最近「這篇」和「這篇」,其他的一些案例,紀錄在「[索引] 套件操作實務」。


而根據訊息,看起來是在執行「/var/lib/dpkg/info/python3-colorama.postinst」這個「Script」的時候,

需要執行「py3compile」這個指令,系統找不到,所以出錯。


您要確認的就是,在您的系統是否缺了「py3compile」這個指令,

我猜測,您只要解決了這個狀況,您原本下「sudo apt-get install ...」所出現的狀況應該能解除。

若您的系統還是有狀況,請再提供相關的訊息,以便討論,

因為我無法解讀您「#1」提供的片段訊息,來推測您遇到的狀況,所以就沒發言了。



================================================================================


在我的系統「Xubuntu 16.04 amd64 英文界面」,



執行下面的指令,找尋「py3compile」是屬於那個套件


$ apt-file search py3compile



顯示


dh-python: /usr/share/debhelper/autoscripts/postinst-py3compile
python3-minimal: /usr/bin/py3compile
python3-minimal: /usr/share/man/man1/py3compile.1.gz



註:關於「apt-file」這個指令,是屬於「apt-file」這個套件,
系統預設應該是沒有安裝這個套件,若要安裝請執行「sudo apt-get install apt-file」。


執行


$ dpkg -l dh-python



顯示


Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===============================-====================-====================-======================
ii dh-python 2.20151103ubuntu1.1 all Debian helper tools for packaging Python libraries and applications



「ii」表示我的系統有安裝「dh-python」這個套件。


執行


$ dpkg -l python3-minimal





Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===============================-====================-====================-======================
ii python3-minimal 3.5.1-3 amd64 minimal subset of the Python language (default python3 version)




「ii」表示我的系統有安裝「python3-minimal」這個套件。


執行


$ apt-cache show dh-python




顯示


Package: dh-python
Priority: important
Section: python
Installed-Size: 359
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
Architecture: all
Version: 2.20151103ubuntu1.1
Replaces: python3 (<< 3.3.2-4~)
Depends: python3:any (>= 3.3.2-2~)
Suggests: libdpkg-perl
Breaks: python3 (<< 3.3.2-4~)
Filename: pool/main/d/dh-python/dh-python_2.20151103ubuntu1.1_all.deb
Size: 74086
MD5sum: af69a46508e11d46ae24da363d77b5fa
SHA1: 9f76b700c1db6f9523a3207ba60e2261a75fa890
SHA256: 522a21f41ca115b5a3dac48bf083a99f39ac264f74d2a380ed826f6495abdc89
Description-en: Debian helper tools for packaging Python libraries and applications
This package contains:
* pybuild - invokes various build systems for requested Python versions in
order to build modules and extensions
* dh_python2 - calculates Python 2.X dependencies for Debian packages,
adds maintainer scripts to byte compile files, etc.
* dh_python3 - calculates Python 3.X dependencies for Debian packages,
adds maintainer scripts to byte compile files, etc.
* dh_pypy - calculates PyPy dependencies for Debian packages,
adds maintainer scripts to byte compile files, etc.
Description-md5: 9f24690d2f6e9b70048dc4079a2dfca7
Multi-Arch: foreign
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: minimal, ubuntu-core, ubuntu-core, ubuntu-sdk-libs-tools, ubuntu-sdk




執行


$ apt-cache show dh-python




顯示


Package: python3-minimal
Priority: important
Section: python
Installed-Size: 120
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Matthias Klose <doko@debian.org>
Architecture: amd64
Source: python3-defaults
Version: 3.5.1-3
Replaces: python3 (<< 3.3.2-13~), python3.1 (<< 3.1-2)
Depends: python3.5-minimal (>= 3.5.1-2~), dpkg (>= 1.13.20)
Breaks: idle3 (<< 3.1), python3 (<< 3.3.2-13~), python3-all (<< 3.1), python3-all-dbg (<< 3.1), python3-all-dev (<< 3.1), python3-dbg (<< 3.1), python3-dev (<< 3.1), python3-examples (<< 3.1)
Filename: pool/main/p/python3-defaults/python3-minimal_3.5.1-3_amd64.deb
Size: 23300
MD5sum: fd2ecfa165ce0251acfb4f9c69e5235a
SHA1: bd4bf8e8495a1d876b068096e2e952a96d1a8d8a
SHA256: a6f0eef651128fa2ef12266c2a3b665a770f742aad8f3ac49ebd2ab45d260a55
Description-en: minimal subset of the Python language (default python3 version)
This package contains the interpreter and some essential modules. It's used
in the boot process for some basic tasks.
See /usr/share/doc/python3.5-minimal/README.Debian for a list of the modules
contained in this package.
Description-md5: f17f06e9e02ce802bf363248805d544c
Multi-Arch: allowed
Homepage: http://www.python.org/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: minimal, ubuntu-core, ubuntu-core, ubuntu-sdk-libs-tools, ubuntu-sdk




================================================================================


以上提供參考

報告完畢


3/7 18:59:49
應用擴展 工具箱
回覆: 無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 31
HP : 152 / 762
MP : 443 / 11516
EXP: 48
離線
V字龍 寫到:
`````
$ dpkg-query --search $(which software-properties-gtk)
software-properties-gtk: /usr/bin/software-properties-gtk
`````
software-properties-gtk 命令由 software-properties-gtk 軟體包提供
其他的依此類推


另外幫您解讀上面指令的原意,這個技巧,我在之前的回覆或多或少都會提,

可以參考「[索引] 套件操作實務」和「[索引]如何執行指令」和「如何探索「Ubuntu」」。


當您知道一個指令,叫做「software-properties-gtk」,

您可以執行


$ which software-properties-gtk




顯示


/usr/bin/software-properties-gtk




表示「software-properties-gtk」在「/usr/bin/software-properties-gtk」這個路徑,


然後執行



$ dpkg -S /usr/bin/software-properties-gtk



顯示


software-properties-gtk: /usr/bin/software-properties-gtk



表示「/usr/bin/software-properties-gtk」這個檔案,是屬於「software-properties-gtk」這個套件。


然後上面兩個指令,可以合併成一行


$ dpkg -S $(which software-properties-gtk)



或是執行


$ dpkg -S `which software-properties-gtk`



一樣會顯示


software-properties-gtk: /usr/bin/software-properties-gtk




這個技巧,請查詢「man bash」找尋「Command Substitution」

我在之前幾篇討論有提過,例如「這篇」,「這篇」。



另外「dpkg -S」可以改成「dpkg --search」或「dpkg-query -s」或「dpkg-query --search」。


所以您可以執行下面指令,原本「V字龍」下的指令。


dpkg-query --search $(which software-properties-gtk)




另外也不一定要很完整的路徑,


例如執行


$ dpkg -S software-properties-gtk



只不過會得到更多的結果。


software-properties-gtk: /usr/share/doc/software-properties-gtk
software-properties-gtk: /usr/bin/software-properties-gtk
app-install-data: /usr/share/app-install/desktop/software-properties-gtk:software-properties-gnome.desktop
software-properties-gtk: /usr/share/man/man1/software-properties-gtk.1.gz
software-properties-gtk: /usr/share/applications/software-properties-gtk.desktop
software-properties-gtk: /usr/share/doc/software-properties-gtk/changelog.gz
app-install-data: /usr/share/app-install/desktop/software-properties-gtk:software-properties-drivers.desktop
app-install-data: /usr/share/app-install/desktop/software-properties-gtk:software-properties-gtk.desktop
software-properties-gtk: /usr/share/doc/software-properties-gtk/copyright




或是也可以是「資料夾」

例如執行


$ dpkg -S /etc/default/





$ man dpkg
$ man dpkg-query
$ man which


關於「which」,最近我發現「阿旺的 Linux 開竅手冊 / 7.3 檔案搜尋 」這裡有整理一系列的指令,可以參考,
裡面介紹了「type」「which」「whereis」「locate」「find」的用法,
這個網址我之前有紀錄在「這篇」。

而「鳥哥的 Linux 私房菜 / 第六章、Linux 檔案與目錄管理 / 6.5 指令與檔案的搜尋」也有整理。


================================================================================

關於指令的查詢路徑,請了解「PATH」這個環境變數的概念,可以參考「鳥哥的私房菜 / 10.4.1 路徑與指令搜尋順序


## 相關的檔案路徑

* /etc/environment


執行


$ cat /etc/environment



顯示


PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games"




若是使用「bash」,一些檔案也可以參考,最近一篇「討論串」有討論到。

* /etc/profile
* /etc/profile.d/*
* ~/.profile
* ~/.bashrc


看看這些檔案是否有設定到「PATH」這個變數,

也許會有其他的地方有設定到,這就要依據您系統的設定了。


## 如何了解「PATH」的值

執行


$ echo $PATH



或是執行


$ env | grep ^PATH



或是執行


export | grep 'declare -x PATH'



可以知道「PATH」目前的設定值。



另外一個案例參考,舉例,先找到「firefox」的「process id」


$ ps aux | grep firefox



假設找到「14016」,就可以執行下面指令


$ sudo strings /proc/14016/environ | grep ^PATH




以上是我目前所知道的,也許還有其他的方式,還請路過的大德來補充說明,感恩先

================================================================================


以上提供參考

報告完畢


3/7 20:03:10
應用擴展 工具箱
回覆: 無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
管理員
註冊日期:
2011/3/11 6:32
所屬群組:
討論區管理群
等級: 44
HP : 216 / 1084
MP : 1088 / 19938
EXP: 38
離線
從錯誤訊息看來,樓主的系統有很多該存在的可執行檔都因為不明原因遺失了,解決方法應該是想辦法下載並解開安裝(unpack)所有目前已安裝的軟體包的檔案

至於怎麼做我不知道

3/8 0:11:15
本篇發表文章以「創用CC BY 3.0 或更新之台灣地區版本」授權條款釋出,如何使用敬請參考
 Creative Commons — 姓名標示 3.0 台灣 — CC BY 3.0 TW
 http://creativecommons.org/licenses/by/3.0/tw/

「你不懂的東西就不要亂講,被懂得人看破手腳就算了,騙不懂的人誤導別人,還要別人把你當成大師,這就真的是說不過去了。」
 by Allen Own
 出處 http://www.plurk.com/p/i4uogm

自由知識創作平台介紹
 https://docs.google.com/document/d/1MGG6lW_0qCgH4U785R-IwSc_INdoBGej1l-JxiA4gPE
如何建立新的自由知識創作平台文件
 https://docs.google.com/document/d/11NdzOW2lGYksfyQIcPMPye5tlmj1J0QTkgPTmQvIvKA
應用擴展 工具箱
回覆: 無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 31
HP : 152 / 762
MP : 443 / 11516
EXP: 48
離線
V字龍 寫到:
從錯誤訊息看來,樓主的系統有很多該存在的可執行檔都因為不明原因遺失了,解決方法應該是想辦法下載並解開安裝(unpack)所有目前已安裝的軟體包的檔案

至於怎麼做我不知道



關於

V字龍 寫到:
從錯誤訊息看來,樓主的系統有很多該存在的可執行檔都因為不明原因遺失了,



我一開始看「#1」提到的,是有這種感覺,
不過這需要樓主進一步提供更多的資訊,描述他遇到的狀況,才比較有機會能推測確認。

所以我上面的回覆#5,才會提到「PATH」相關的議題。


==========================================================

關於


解決方法應該是想辦法下載並解開安裝(unpack)所有目前已安裝的軟體包的檔案

至於怎麼做我不知道



若不是硬碟壞掉的話,我想到最近在「Debian 參考手冊 / 6.3.4 回復套件的選取狀態的資料」看到的一段指令,
覺得還蠻有趣的,也許可以拿來應用。

執行


ls /usr/share/doc | \
       grep -v [A-Z] | \
       grep -v '^texmf$' | \
       grep -v '^debian$' | \
       awk '{print $1 " install"}'



可以得到一個套件列表,可以搭配其他指令來操作。

例如搭配「wc


ls /usr/share/doc | \
       grep -v [A-Z] | \
       grep -v '^texmf$' | \
       grep -v '^debian$' | \
       awk '{print $1 " install"}' \
       | wc -l



不過上面這一段我還沒深究,只是剛好想到,提出來供參考,
真的要試,請先在測試的系統測試,例如VirtualBox裡的系統。


另外想到之前有「一篇討論」,其中紀錄的「相關連結」也可以參考。

剛發現「V字龍」在剛提到的討論串,有一個「回覆#4」,提到的「參考連結」,也有提到上面這個方法。


==========================================================

3/8 0:35:10
應用擴展 工具箱
回覆: 無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
管理員
註冊日期:
2011/3/11 6:32
所屬群組:
討論區管理群
等級: 44
HP : 216 / 1084
MP : 1088 / 19938
EXP: 38
離線
我之前為了類似問題寫了一個批量重新安裝所有目前已安裝之軟體包的 apt-get_reinstall-all 程式,但是該程式實質上是跑 apt-get install 並不會單純作解開安裝檔案的動作
https://github.com/Vdragon/apt-get_reinstall-all

可能可以再多加一個 dpkg 選項來實現

3/8 0:48:56
本篇發表文章以「創用CC BY 3.0 或更新之台灣地區版本」授權條款釋出,如何使用敬請參考
 Creative Commons — 姓名標示 3.0 台灣 — CC BY 3.0 TW
 http://creativecommons.org/licenses/by/3.0/tw/

「你不懂的東西就不要亂講,被懂得人看破手腳就算了,騙不懂的人誤導別人,還要別人把你當成大師,這就真的是說不過去了。」
 by Allen Own
 出處 http://www.plurk.com/p/i4uogm

自由知識創作平台介紹
 https://docs.google.com/document/d/1MGG6lW_0qCgH4U785R-IwSc_INdoBGej1l-JxiA4gPE
如何建立新的自由知識創作平台文件
 https://docs.google.com/document/d/11NdzOW2lGYksfyQIcPMPye5tlmj1J0QTkgPTmQvIvKA
應用擴展 工具箱
回覆: 無法執行副進程“software-properties-gtk”(沒有此一檔案或目錄)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 31
HP : 152 / 762
MP : 443 / 11516
EXP: 48
離線
V字龍 寫到:
我之前為了類似問題寫了一個批量重新安裝所有目前已安裝之軟體包的 apt-get_reinstall-all 程式,但是該程式實質上是跑 apt-get install 並不會單純作解開安裝檔案的動作
https://github.com/Vdragon/apt-get_reinstall-all

可能可以再多加一個 dpkg 選項來實現



關於「apt-get」,有一個「--reinstall」選項,可以重新安裝已經安裝的套件,可以參考「這篇」或是「這篇」。
剛看您專案提到參考連結,也有提到這個選項。
其中一個「script」也有使用到。

例如「sudo apt-get install --reinstall $(cat package.list) 」。

關於「package.list」可以透過剛剛的指令產生,「這篇」有紀錄很多方式,
或是自己列,一行一個套件,
或是一行全部的套件,每個套件空白隔開,
可以參考「這篇」。

剛看了您提供的script,您是使用「dpkg --get-selections」來找出套件列表,這個技巧我是從這篇「回覆」學到的。
後來又探究到的應用,可以參考「這篇」或是「這篇」或是「這篇」。

不過不確定樓主是否還能正常執行「apt-get」。

若是要下載套件,可以使用「apt-get download」。

解開則是要使用「dpkg -x」。

可以參考最近的「這篇」和「這篇」。

以上有些只有提供一些原理,細節就請樓主自行琢磨探究了,

(V字龍這些應該都了解了,根據我看他之前的回覆,有些技巧我也是從他回覆的文章學到的 :p)


不過還是要先釐清確認樓主的系統目前的狀況,才能決定是否真的需要重灌這些軟體。




3/8 1:02:50
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.